# TODO:
# - get apt tests building properly and re-inserted in main test.xml

%define eclipse_base        %{_libdir}/eclipse
%define eclipse_test        %{_libdir}/eclipse/dropins/eclipse

%define buildID				I20090416-1053

# Prevent brp-java-repack-jars from being run.
%define __jar_repack 0

AutoProv: 0

Name:           eclipse-tests
Version:        3.5.0
Release:        0.4%{?dist}
Summary:        Eclipse SDK Tests

Group:          Development/Tools
License:        EPL
URL:            http://www.eclipse.org/eclipse

# Note:  verify junit and ant from orbit and the end of this script
# ./getTestSources.sh %%{buildID}
Source0:        %{name}-%{buildID}-fetched-src.tar.gz
# Special properties file needed to run tests from installed rpm
Source2: rpm.properties

# CVS pserver setup for CVS tests to use
Source3: eclipse-tests-cvspserver

# Testing runtests and test.xml scripts which are not in org.eclipse.test
# cvs -d:pserver:anonymous@dev.eclipse.org:/cvsroot/eclipse co -r vI20090313-0100 org.eclipse.releng.eclipsebuilder/eclipse/buildConfigs/sdk.tests/testScripts
# pushd org.eclipse.releng.eclipsebuilder/eclipse/buildConfigs/sdk.tests/testScripts
# zip ../../../../../eclipse-tests-3.5.0-fetched-scripts.zip runtests test.xml
Source4: %{name}-%{version}-fetched-scripts.zip

# Source for java application needed to generate test properties from
# build.
Source5: TestVersionTracker.java

# VNC passwd file so we can see what the tests are up to
Source6: %{name}-vncpwd

# Patch runtests  Add XVnc support and specify rpm.properties file
# when invoking tests.  Also fully-qualify paths so that runtests
# can be run anywhere.
Patch0: %{name}-runtests.patch

# Filed upstream:
# 274373: Some testing data folders not parametrized
# https://bugs.eclipse.org/bugs/show_bug.cgi?id=274373
# 
# Patch to ui.tests plugin to set up some folder properties per the
# standard mechanism which allows rpm.properties to override.
Patch1: %{name}-ui.patch

# FIXME:  this should go upstream
# Patch to ui.tests datatransfer suite to patch tests.ini so localSource
# property is set to a writable location.
Patch2: %{name}-ui-ini-source.patch

# FIXME:  investigate
# JDT APT tests don't build, but do build and run fine in a workspace
Patch9: %{name}-noapttests.patch

# Change location of library.xml, add target for plugins that read and write
# to themselves, add summary target 
Patch3: %{name}-test-xml.patch

# Patch to fix jdt debug tests to use property for directory to write to.
Patch4: %{name}-jdt-debug-tests.patch

# Patch to allow pde api tools tests to use the plugin from a temporary
# writable directory since many of the tests write to the plugin directory.
Patch5: %{name}-pde-api-tools-tests.patch

# Patch to allow pde build tests to use the plugin from a temporary writable
# directory and to handle a bug whereby pde build does not check for features
# in the dropins directory off of the base location.
Patch6: %{name}-pde-build-tests.patch

# OSGi tests don't have x86_64 as a valid arch
# https://bugs.eclipse.org/bugs/show_bug.cgi?id=274156
# Patch already applied in HEAD upstream.
Patch10: %{name}-osgihost-274156.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  java-devel >= 1.6.0
BuildRequires:  eclipse-pde
BuildRequires:  dos2unix
Requires:       eclipse-pde
Requires:		xinetd
Requires:		vnc-server
# These JDT Debug tests need the JDK source to pass:
# org.eclipse.jdt.debug.tests.sourcelookup.ExternalArchiveSourceContainerTests.testArchiveSourceContainerMemento
# org.eclipse.jdt.debug.tests.sourcelookup.ExternalArchiveSourceContainerTests.testAutoDetectRootSourceLookupPositive
# org.eclipse.jdt.debug.tests.sourcelookup.ExternalArchiveSourceContainerTests.testAutoDetectRootSourceLookupNegative
# org.eclipse.jdt.debug.tests.sourcelookup.ExternalArchiveSourceContainerTests.testSourceLookupPositive
# org.eclipse.jdt.debug.tests.sourcelookup.ExternalArchiveSourceContainerTests.testSourceLookupNegative
# org.eclipse.jdt.debug.tests.sourcelookup.ExternalArchiveSourceContainerTests.testPartiallyQualifiedSourceLookupPositive
# org.eclipse.jdt.debug.tests.sourcelookup.ExternalArchiveSourceContainerTests.testAutoDetectUnqualifiedSourceLookupPositive
Requires:       java-1.6.0-openjdk-src

%description
JUnit Eclipse test plugins for rpm-installed Eclipse.  Run like so,
sh /usr/lib/eclipse/dropins/eclipse/runtests

%prep
%setup -q -c

# Remove the win32 performance tests plugin from the test feature.
pushd org.eclipse.test-feature
awk '
/id="org.eclipse.test.performance.win32"/,/<plugin/ {
    next
}
{
    print
}
' feature.xml > feature.xml.new
mv feature.xml{.new,}
popd

# Add runtests, rpm.properties and test.xml.  We will later append some
# generated test properties to rpm.properties.
unzip %{SOURCE4}
cp %{SOURCE2} .
%patch0
%patch3 -p4
# Don't run these tests
for f in relEng jdtaptpluggable jdtapt jdtcompilerapt; do
  sed -i "s/\t<antcall\ target=\"$f\"\ \/>/<\!-- <antcall target=\"$f\" \/> -->/" test.xml
done

# Fix line endings
sed -i 's/\r//' runtests
sed -i 's/\r//' test.xml

# Set up the test CVS repository.
pushd org.eclipse.team.tests.cvs.core
sed -i "s/@user@/eclipse-tests-cvsroot/g" repository.properties
sed -i "s/@password@/eclipse-tests-cvsroot/g" repository.properties
sed -i "s/@host@/localhost/g" repository.properties
sed -i "s/@root@/57042\/var\/lib\/eclipse-tests-cvsroot/g" repository.properties
sed -i "s/@root1@/57042\/var\/lib\/eclipse-tests-cvsroot/g" repository.properties
sed -i "s/@root2@/57042\/var\/lib\/eclipse-tests-cvsroot/g" repository.properties
sed -i "s/command=C:\\\\cvs\\\\bin\\\\cvs/command=\/usr\/bin\/cvs/" repository.properties
sed -i "s/temp=C:\\\temp/temp=\/tmp/" repository.properties
sed -i "s/rsh=rsh/rsh=ssh/" repository.properties
popd

# Make the tests write to data-dir instead of eclipse-home
for f in $(find -name test.xml); do \
  sed --in-place "s:collect\" antfile=\"\${library-file}\" dir=\"\${eclipse-home}\">:collect\" antfile=\"\${library-file}\" dir=\"\${data-dir}\">:" \
	$f;
  sed --in-place "/ant target=\"[a-z]\+-test/,/<\/ant>/ s:property name=\"data-dir\":property name=\"test-data-dir\":" $f;
done

pushd org.eclipse.swt.tests
sed --in-place "s,name=\"test-data-dir\" value=\"\${data}\",name=\"test-data-dir\" value=\"\${sniff-folder}\",g" test.xml
popd

pushd org.eclipse.jdt.debug.tests
%patch4
popd

pushd org.eclipse.pde.api.tools.tests
%patch5
popd

#pushd org.eclipse.pde.build.tests
#%patch6
#popd

pushd org.eclipse.ui.tests
%patch1
pushd Eclipse\ UI\ Tests
%patch2
popd
popd

# FIXME:  investigate why these don't build
pushd org.eclipse.sdk.tests-feature
%patch9
popd

# https://bugs.eclipse.org/bugs/show_bug.cgi?id=274156
pushd org.eclipse.osgi.tests
%patch10
popd

# The ant tests have the output of 'ant -version' hard-coded in them.  Fix it to be what we have.
antVersionString=$(ant -version)
optionTestsFile=$(find org.eclipse.ant.tests.core -name OptionTests.java)
propertyTestsFile=$(find org.eclipse.ant.tests.ui -name PropertyTests.java)
cp "${optionTestsFile}" "${optionTestsFile}.orig"
cp "${propertyTestsFile}" "${propertyTestsFile}.orig"
sed -i  "s/\ VERSION=\ \".*$/\ VERSION=\ \"$antVersionString\";/" \
  "${optionTestsFile}"
sed -i  "s/ANT_VERSION\ =\ \".*$/\ANT_VERSION\ =\ \"$antVersionString\";/" \
  "${propertyTestsFile}"

mkdir orbitDeps
mv *.jar orbitDeps
for f in `find -maxdepth 1 -type d -not -name org.eclipse\* -not -name \.\* -not -name orbitDeps`; do
  mv $f orbitDeps
done

%build
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.sdk.tests \
  -o `pwd`/orbitDeps \
  -a "-DjavacSource=1.6 -DjavacTarget=1.6" \
  -j -DJ2SE-1.6=%{_jvmdir}/java/jre/lib/rt.jar \
  -t

# Build special java application that creates test.properties file based on
# build results.
pushd build
cp %{SOURCE5} .

ANTVERSION=$(ls SDK/plugins | grep org.apache.ant_ | \
  sed 's/org.apache.ant_//')
OSGIVERSION=$(ls SDK/plugins | grep org.eclipse.osgi_ | \
  sed 's/org.eclipse.osgi_//')
TestVersionTrackerClassPath="SDK/plugins/org.apache.ant_$ANTVERSION/lib/ant.jar:SDK/plugins/org.eclipse.osgi_$OSGIVERSION"
javac -source 1.4 -classpath \
  $TestVersionTrackerClassPath \
  TestVersionTracker.java
java -cp .:$TestVersionTrackerClassPath \
  TestVersionTracker
popd

%pre
# Set up special userid and group.  We will make our CVS repository
# owned by the new group and we will add the special userid plus root
# to the group.  This way, we can have the CVS repository accessed by
# a userid which we map to the special userid via the CVSROOT/passwd
# file (root is not allowed).  The special userid is part of the owning
# group (as is root) and we give it write access via the CVSROOT/writers
# file.
/usr/sbin/groupadd -f eclipse-test 2>/dev/null
/usr/sbin/adduser -c "eclipse-tests-cvsroot" \
   -s /bin/sh -r -g eclipse-test -d /var/lib/eclipse-tests-cvsroot-home eclipse-tests-cvsroot 2>/dev/null || :
/usr/sbin/usermod -a -G eclipse-test root 2>/dev/null
echo "eclipse-tests-cvsroot" |  passwd --stdin eclipse-tests-cvsroot

%install
rm -rf $RPM_BUILD_ROOT

# Create CVSROOT directory for Team CVS tests to use
mkdir -p ${RPM_BUILD_ROOT}/var/lib/eclipse-tests-cvsroot
mkdir -p ${RPM_BUILD_ROOT}/var/lib/eclipse-tests-cvsroot-home

# CVS pserver setup file
install -d -m 755 ${RPM_BUILD_ROOT}/etc/xinetd.d
cp -p %{SOURCE3} ${RPM_BUILD_ROOT}/etc/xinetd.d

install -d -m 755 $RPM_BUILD_ROOT%{eclipse_test}
unzip -q -d $RPM_BUILD_ROOT%{eclipse_test}/.. \
build/rpmBuild/org.eclipse.sdk.tests.zip

# Copy the main executable files.  These will use the library.xml found
# in the SDK org.eclipse.test plugin.
cp -p rpm.properties ${RPM_BUILD_ROOT}%{eclipse_test}
cp -p test.xml ${RPM_BUILD_ROOT}%{eclipse_test}
cp -p runtests ${RPM_BUILD_ROOT}%{eclipse_test}
cp -p %{SOURCE6} ${RPM_BUILD_ROOT}/%{eclipse_test}
chmod a+x ${RPM_BUILD_ROOT}/%{eclipse_test}/runtests

cat build/test.properties >> $RPM_BUILD_ROOT%{eclipse_test}/rpm.properties

%clean
rm -rf $RPM_BUILD_ROOT

%post

# Fix ant manifest to require junit
ANTPLUGINVERSION=$(ls %{eclipse_base}/plugins | grep org.apache.ant_ | sed 's/org.apache.ant_//')
sed --in-place -e \
  "s/Require-Bundle:\ org.eclipse.osgi/Require-Bundle:\ org.eclipse.osgi,\ org.junit/" \
  %{eclipse_base}/plugins/org.apache.ant_$ANTPLUGINVERSION/META-INF/MANIFEST.MF
pushd %{eclipse_test} >/dev/null
if test -d /usr/lib64/eclipse; then
sed -i 's,/usr/lib,/usr/lib64,g' runtests
sed -i 's,/usr/lib,/usr/lib64,g' rpm.properties
fi
popd >/dev/null

# Initialize the CVS root.  We want the group owner to be eclipse-test
# which we added the special user eclipse-tests-cvsroot to, as well as root.
# We add a passwd file so that eclipse-test-cvsroot doesn't need a password
# and we specify that eclipse-tests-cvsroot is a writer.
/usr/bin/cvs -d /var/lib/eclipse-tests-cvsroot init
chmod 775 /var/lib/eclipse-tests-cvsroot
echo 'eclipse-tests-cvsroot::eclipse-tests-cvsroot
' >/var/lib/eclipse-tests-cvsroot/CVSROOT/passwd
echo 'eclipse-tests-cvsroot
' >/var/lib/eclipse-tests-cvsroot/CVSROOT/writers
sed -i 's,#SystemAuth=yes,SystemAuth=no,' /var/lib/eclipse-tests-cvsroot/CVSROOT/config

# port for eclipse-tests-cvspserver
if grep -c "^eclipse-tests-cvspserver" /etc/services >> /dev/null ; then
        :
else
        echo "eclipse-tests-cvspserver   57042/tcp                # eclipse-tests CVS pserver" >> /etc/services
        echo "eclipse-tests-cvspserver   57042/udp                # eclipse-tests CVS pserver" >> /etc/services
fi

# Make sure we can only access this from localhost
if grep -c "^eclipse-tests-cvspserver" /etc/hosts.allow >> /dev/null ; then
        :
else
        echo "eclipse-tests-cvspserver : 127.0.0.1" >> /etc/hosts.allow
fi

chgrp -R eclipse-test /var/lib/eclipse-tests-cvsroot
# Take care of SELinux issues.  We need to register the port for
# CVS usage and set the context of the repository as being CVS data.
/usr/sbin/semanage port -a -t cvs_port_t -p tcp 57042 2>/dev/null
/usr/sbin/semanage fcontext -a -t cvs_data_t "/var/lib/eclipse-tests-cvsroot(/.*)?" 2>/dev/null
/usr/bin/chcon -R -t cvs_data_t /var/lib/eclipse-tests-cvsroot

/etc/init.d/xinetd restart > /dev/null 2>&1

%preun
# Remove CVS pserver and userid added for tests
tmpfile=/tmp/tmp.$$
sed -e '/^eclipse-tests-cvspserver.*$/d' /etc/services > $tmpfile
mv $tmpfile /etc/services
tmpfile=/tmp/tmp.$$
sed -e '/^eclipse-tests-cvspserver.*$/d' /etc/hosts.allow > $tmpfile
mv $tmpfile /etc/hosts.allow
/usr/sbin/userdel  eclipse-tests-cvsroot
/usr/sbin/groupdel eclipse-test
/etc/init.d/xinetd restart > /dev/null 2>&1

%postun
# Replace ant manifest back to way it was
ANTPLUGINVERSION=$(ls %{eclipse_base}/plugins | grep org.apache.ant_ | sed 's/org.apache.ant_//')
sed --in-place -e \
  "s/Require-Bundle:\ org.eclipse.osgi,\ org.junit/Require-Bundle:\ org.eclipse.osgi/" \
  %{eclipse_base}/plugins/org.apache.ant_$ANTPLUGINVERSION/META-INF/MANIFEST.MF
# Remove CVS directory as uninstall won't remove it automatically.
rm -rf /var/lib/eclipse-tests-cvsroot

%files
%attr(755,root,eclipse-test) %dir /var/lib/eclipse-tests-cvsroot
%attr(755,eclipse-tests-cvsroot,eclipse-test) %dir /var/lib/eclipse-tests-cvsroot-home
%defattr(-,root,root)
/etc/xinetd.d/eclipse-tests-cvspserver
%{eclipse_test}

%changelog
* Mon May 11 2009 Andrew Overholt <overholt@redhat.com> 3.5.0-0.4
- Update jdt-debug patch to write additional test data to writable location.

* Fri May 8 2009 Andrew Overholt <overholt@redhat.com> 3.5.0-0.3
- Apply patch for Eclipse bug #274156 (OSGi tests missing x86_64).

* Thu May 07 2009 Andrew Overholt <overholt@redhat.com> 3.5.0-0.2
- Remove unnecessary patch to library.xml.
- Add ability to connect via VNC to running tests.
- Add ability to debug running tests remotely.
- Don't pass debug flag during build (log gets too big).

* Thu Apr 30 2009 Andrew Overholt <overholt@redhat.com> 3.5.0-0.1
- Pre-3.5.0 (I20090416-1053)

* Mon Apr 20 2009 Andrew Overholt <overholt@redhat.com> 3.4.2-3
- Remove %%patch13 and %%patch14.

* Fri Apr 17 2009 Andrew Overholt <overholt@redhat.com> 3.4.2-2
- Dynamically change the hard-coded ant -version output to match the system.
- Remove patches that did this.

* Fri Apr 17 2009 Andrew Overholt <overholt@redhat.com> 3.4.2-1
- 3.4.2.

* Mon Dec 15 2008 Alexander Kurtakov <akurtakov@gmail.com> 3.4.1-10
- One more ant version fix.

* Fri Dec 5 2008 Andrew Overholt <overholt@redhat.com> 3.4.1-9
- Add java-1.6.0-openjdk-src to Requires to make some jdt.debug tests pass.

* Thu Dec 4 2008 Alexander Kurtakov <akurtakov@gmail.com> 3.4.1-8
- Add patch to match our ant (Needs better way for checking from upstream then hardcoding).

* Tue Dec 1 2008 Andrew Overholt <overholt@redhat.com> 3.4.1-7
- Increase permgen size.

* Mon Dec 1 2008 Alexander Kurtakov <akurtakov@gmail.com> 3.4.1-6
- Bump max memory in the runner and library.xml.
- Don't generate auto provides to stop providing all these perl modules.

* Wed Nov 26 2008 Andrew Overholt <overholt@redhat.com> 3.4.1-5
- Add dos2unix BR.

* Thu Oct 30 2008 Alexander Kurtakov <akurtako@redhat.com> 3.4.1-4
- Add missing dependency on xinetd.
- Add missing dependency on vnc-server.
- Change eclipse-platform require to eclipse-pde.

* Wed Oct 29 2008 Andrew Overholt <overholt@redhat.com> 3.4.1-3
- Fix Summary

* Mon Oct 27 2008 Alexander Kurtakov <akurtako@redhat.com> 3.4.1-2
- Own install directory.

* Wed Oct 09 2008 Jeff Johnston <jjohnstn@redhat.com> 3.4.1-1
- 3.4.1

* Mon Oct 06 2008 Jeff Johnston <jjohnstn@redhat.com> 3.4.0-5
- Bumping.

* Mon Oct 06 2008 Jeff Johnston <jjohnstn@redhat.com> 3.4.0-3
- Accomodate change which now has org.eclipse.test shipped in platform.
- Put eclipse test stuff (e.g. rpm.properties) in top-level dropins directory.
- Remove all changes to library.xml which is done in platform build.

* Tue Aug 12 2008 Jeff Johnston <jjohnstn@redhat.com> 3.4.0-2
- Switch to use pde build.
- Remove osgi shared configuration area specification which is no longer needed.
- Fix report generation to create a summary html for the entire test suite run.

* Mon Aug 11 2008 Jeff Johnston <jjohnstn@redhat.com> 3.4.0-1
- Update to 3.4.0 testing.

* Fri Jul 18 2008 Jeff Johnston <jjohnstn@redhat.com> 3.3.2-1
- Update to 3.3.2 testing.
- Patch uitests.jar to fix tests.ini file used for datatransfer tests.
- Set MOZILLA_FIVE_HOME to xulrunner 1.9 directory.
- Remove plugin_path property from rpm.properties.

- Change explicit /usr/lib to /usr/lib64 in %%post step when on
* Wed Jun 04 2008 Jeff Johnston <jjohnstn@redhat.com> 3.3.1.1-3
- Change explicit /usr/lib to /usr/lib64 in %%post step when on
  a system with /usr/lib64/eclipse.
- Modify library.xml java-test to use test-data-dir for -data arg
- Modify library.xml java-test so that vmargs max size is set to 512m
- Modify library.xml java-test so that essential sysproperty values are
  set like swt.library.path, osgi.sharedConfiguration.area,
  setup.override.vmargs, setup.override.systemProperties, user.home
- Initialize CVS repository in %%pre phase.

* Wed Jan 30 2008 Jeff Johnston <jjohnstn@redhat.com> 3.3.1.1-2
- Add special properties file: rpm.properties.
- Add XVnc support in runtests.
- Add CVS pserver support here instead of using redhat-eclipse-demos.

* Fri Nov 16 2007 Andrew Overholt <overholt@redhat.com> 3.3.1.1-1
- 3.3.1.1.

* Fri Mar 30 2007 Andrew Overholt <overholt@redhat.com> 3.2.2-1
- 3.2.2

* Tue Oct 17 2006 Andrew Overholt <overholt@redhat.com> 3.2.1-3
- Add patches that improve runtests.
- Remove runtests-wrapper.
- Add post and postun to deal with e.o#36198.

* Wed Oct 11 2006 Andrew Overholt <overholt@redhat.com> 3.2.1-2
- Reference patches in upstream bugzilla.
- Disable some tests for now.
- Export MOZILLA_FIVE_HOME in runtests-wrapper.

* Mon Oct 02 2006 Andrew Overholt <overholt@redhat.com> 3.2.1-1
- 3.2.1.
- Remove org.eclipse.junit as it's in the JDT.

* Fri Aug 11 2006 Andrew Overholt <overholt@redhat.com> 3.2.0-1jpp_1fc
- 3.2.0.
- Require eclipse-pde-sdk instead of eclipse-pde-devel.

* Mon Feb 13 2006 Andrew Overholt <overholt@redhat.com> 3.1.2-1jpp_1fc
- 3.1.2.

* Tue Jan 24 2006 Andrew Overholt <overholt@redhat.com> 3.1.1-1jpp_2fc
- Require modular X Xvfb.

* Mon Jan 09 2006 Andrew Overholt <overholt@redhat.com> 3.1.1-1jpp_2fc
- Natively-compile tests.

* Mon Oct 31 2005 Andrew Overholt <overholt@redhat.com> 3.1.1-1jpp_1fc
- 3.1.1.

* Tue Jul 26 2005 Andrew Overholt <overholt@redhat.com> 3.1.0_fc-7
- Remove integration of redhat-eclipse-demo; Require it instead.
- Set up CVS tests to use redhat-eclipse-demo.
- Require eclipse-pde-devel to make sure we get everything.

* Wed Jul 13 2005 Andrew Overholt <overholt@redhat.com> 3.1.0_fc-6
- Add Anthony Green's redhat-eclipse-demo CVS magic.
- Require xinetd for above.

* Tue Jul 12 2005 Andrew Overholt <overholt@redhat.com> 3.1.0_fc-5
- Add eclipse-home -> data-dir in each test.xml to make collect target (and
  therefore xml -> html) work.
- Change runtests patch to reflect ability to do genHtml.
- Add patch to make all collect targets work.

* Mon Jul 11 2005 Andrew Overholt <overholt@redhat.com> 3.1.0_fc-4
- Further robustification.

* Wed Jul 06 2005 Andrew Overholt <overholt@redhat.com> 3.1.0_fc-3
- Minor cleanups.
- Allow running of tests using installed Eclipse and as regular user.

* Tue Jul 04 2005 Aaron Luchko <aluchko@redhat.com> 3.1.0_fc-2
- do patch, updated runtests-wrapper
- patch runtests for genHtmlVm

* Mon Jul 04 2005 Aaron Luchko <aluchko@redhat.com> 3.1.0_fc-1
- Updated to 3.1 final
- Checks install eclipse version

* Wed Jun 29 2005 Aaron Luchko <aluchko@redhat.com> 3.1.0_fc-0.RC3.3
- Updated to RC3
- Added x86_64

* Thu May 26 2005 Aaron Luchko <aluchko@redhat.com> 3.1.0_fc-M7.1
- Move to M7
* Tue Apr 19 2005 Aaron Luchko <aluchko@redhat.com> 3.1.0-1
- Sync with eclipse version (tests are M6)
* Mon Feb 21 2005 Aaron Luchko <aluchko@redhat.com> 3.1.0-1
- Change to 3.1.0M5

* Fri Aug 13 2004 Jeremy Handcock <handcock@redhat.com> 3.0-3
- Correct SWT test plugin name in test.properties

* Thu Aug 12 2004 Jeremy Handcock <handcock@redhat.com> 3.0-2
- Don't build on ppc64pseries
- Require eclipse-ui, not eclipse-platform
- Only install features and plugins
- Add test run scripts and required files
- Add library.xml patch

* Thu Jul  8 2004 Jeremy Handcock <handcock@redhat.com> 3.0-1
- Initial version
